Bug 17469 - RFE: Automatic Preqreqs/buildprereqs
RFE: Automatic Preqreqs/buildprereqs
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-13 10:24 EDT by kestes
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 17:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kestes 2000-09-13 10:24:31 EDT
Now that my Shell dependency patch is in bash we can
generate prereqs/build prereqs by processing
the specfile scripts through bash at package build
time.  This would allow you to ensure that you do
not miss any prereqs.  Now prereqs are added by
hand and you never know if you get the full set of
needed packages.

It would be particularly helpful if this dependency analysis
was controled through macros so that the dependency engine 
could be adjusted or eliminated by an experianced RPM
build master.


You can even extract buildprereq information from
all the makefiles in the build directory.  The script
you need to run looks something like this


find $BUILDDIR -name 'Makefile' -type f -print | xargs egrep -h "^\t"

Remember that makefile lines which begin with tab are really embedded
shell scripts.
Comment 1 Jeff Johnson 2001-02-21 14:00:28 EST
Changing component.
Comment 2 Bill Nottingham 2005-09-29 17:39:06 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.

Note You need to log in before you can comment on or make changes to this bug.